/*******************************************************************************
 * EYELINK EXPT SUPPORT: SDL PLATFORM										   *
 * (c) 1996-2021 by SR Research Ltd.                                           *
 * by Suganthan Subramaniam                                                    *
 * EYELINK II: 3 February 2003                                                 *
 *     For non-commercial use only                                             *
 * Provides hardware acclareted cursor drawing with SDL_Flip                   *
 * This module is for user applications. Use is granted for non-commercial     *
 * applications by Eyelink licencees only                                      *
 *                                                                             *
 *                                                                             *
 **************************************** WARNING ******************************
 *                                                                             *
 * UNDER NO CIRCUMSTANCES SHOULD PARTS OF THESE FILES BE COPIED OR COMBINED.   *
 * This will make your code impossible to upgrade to new releases in the future*
 * and SR Research will not give tech support for reorganized code.            *
 *                                                                             *
 * This file should not be modified. If you must modify it, copy the entire    *
 * file with a new name, and change the the new file.                          *
 *******************************************************************************/


#ifndef __SR_RESEARCH_FONTMAPPINGS_H__
#define __SR_RESEARCH_FONTMAPPINGS_H__

#define FONTNAME "sans"

typedef struct 
{
	char * filename;
	char * font_name;
	char * font_face; /* not used for now */
}FONT_MAP;
#ifdef __linux__
#define OPEN_FONTMAPPINGS\
    {"/usr/share/fonts/truetype/EyeLink/Roboto_Mono/static/RobotoMono-Regular.ttf",          "mono", "Regular"},\
    {"/usr/share/fonts/truetype/EyeLink/Roboto_Mono/static/RobotoMono-BoldItalic.ttf",       "mono", "Bold Italic"},\
    {"/usr/share/fonts/truetype/EyeLink/Roboto_Mono/static/RobotoMono-Bold.ttf",             "mono", "Bold"},\
    {"/usr/share/fonts/truetype/EyeLink/Roboto_Mono/static/RobotoMono-Italic.ttf",           "mono", "Italic"},\
    {"/usr/share/fonts/truetype/EyeLink/Open_Sans/OpenSans-Regular.ttf",                     "sans", "Regular"},\
    {"/usr/share/fonts/truetype/EyeLink/Open_Sans/OpenSans-Italic.ttf",                      "sans", "Italic"},\
    {"/usr/share/fonts/truetype/EyeLink/Open_Sans/OpenSans-Bold.ttf",                        "sans", "Bold"},\
    {"/usr/share/fonts/truetype/EyeLink/Open_Sans/OpenSans-BoldItalic.ttf",                  "sans", "Bold Italic"},\
    {"/usr/share/fonts/truetype/EyeLink/Roboto_Mono/static/RobotoMono-Regular.ttf",          "RobotoMono", "Regular"},\
    {"/usr/share/fonts/truetype/EyeLink/Roboto_Mono/static/RobotoMono-BoldItalic.ttf",       "RobotoMono", "Bold Italic"},\
    {"/usr/share/fonts/truetype/EyeLink/Roboto_Mono/static/RobotoMono-Bold.ttf",             "RobotoMono", "Bold"},\
    {"/usr/share/fonts/truetype/EyeLink/Roboto_Mono/static/RobotoMono-Italic.ttf",           "RobotoMono", "Italic"},\
    {"/usr/share/fonts/truetype/EyeLink/Open_Sans/OpenSans-Italic.ttf",                      "OpenSans", "Italic"},\
    {"/usr/share/fonts/truetype/EyeLink/Open_Sans/OpenSans-Bold.ttf",                        "OpenSans", "Bold"},\
    {"/usr/share/fonts/truetype/EyeLink/Open_Sans/OpenSans-Regular.ttf",                     "OpenSans", "Regular"},\
    {"/usr/share/fonts/truetype/EyeLink/Open_Sans/OpenSans-BoldItalic.ttf",                  "OpenSans", "Bold Italic"},\

#else
#define OPEN_FONTMAPPINGS\
    {"Fonts/Roboto_Mono/static/RobotoMono-Regular.ttf",          "mono", "Regular"},\
    {"Fonts/Roboto_Mono/static/RobotoMono-BoldItalic.ttf",       "mono", "Bold Italic"},\
    {"Fonts/Roboto_Mono/static/RobotoMono-Bold.ttf",             "mono", "Bold"},\
    {"Fonts/Roboto_Mono/static/RobotoMono-Italic.ttf",           "mono", "Italic"},\
    {"Fonts/Open_Sans/OpenSans-Regular.ttf",                     "sans", "Regular"},\
    {"Fonts/Open_Sans/OpenSans-Italic.ttf",                      "sans", "Italic"},\
    {"Fonts/Open_Sans/OpenSans-Bold.ttf",                        "sans", "Bold"},\
    {"Fonts/Open_Sans/OpenSans-BoldItalic.ttf",                  "sans", "Bold Italic"},\
    {"Fonts/Roboto_Mono/static/RobotoMono-Regular.ttf",          "RobotoMono", "Regular"},\
    {"Fonts/Roboto_Mono/static/RobotoMono-BoldItalic.ttf",       "RobotoMono", "Bold Italic"},\
    {"Fonts/Roboto_Mono/static/RobotoMono-Bold.ttf",             "RobotoMono", "Bold"},\
    {"Fonts/Roboto_Mono/static/RobotoMono-Italic.ttf",           "RobotoMono", "Italic"},\
    {"Fonts/Open_Sans/OpenSans-Italic.ttf",                      "OpenSans", "Italic"},\
    {"Fonts/Open_Sans/OpenSans-Bold.ttf",                        "OpenSans", "Bold"},\
    {"Fonts/Open_Sans/OpenSans-Regular.ttf",                     "OpenSans", "Regular"},\
    {"Fonts/Open_Sans/OpenSans-BoldItalic.ttf",                  "OpenSans", "Bold Italic"},\

#endif

#if defined (_WIN32) || defined(_WIN64)
#define OS_FONTMAPPINGS \
	{"Arial.ttf",						"Arial",									"Regular"},\
	{"arialbd.ttf",						"Arial",									"Bold"},\
	{"arialbi.ttf",						"Arial",									"Bold Italic"},\
	{"ariali.ttf",						"Arial",									"Italic"},\
	{"ariblk.ttf",						"Arial Black",								"Regular"},\
	{"comic.ttf",						"Comic Sans MS",							"Regular"},\
	{"comicbd.ttf",						"Comic Sans MS",							"Bold"},\
	{"cour.ttf",						"Courier New",								"Regular"},\
	{"courbd.ttf",						"Courier New",								"Bold"},\
	{"courbi.ttf",						"Courier New",								"Bold Italic"},\
	{"couri.ttf",						"Courier New",								"Italic"},\
	{"georgia.ttf",						"Georgia",									"Regular"},\
	{"georgiab.ttf",					"Georgia",									"Bold"},\
	{"georgiai.ttf",					"Georgia",									"Italic"},\
	{"georgiaz.ttf",					"Georgia",									"Bold Italic"},\
	{"impact.ttf",						"Impact",									"Regular"},\
	{"l_10646.ttf",						"Lucida Sans Unicode",						"Regular"},\
	{"lucon.ttf",						"Lucida Console",							"Regular"},\
	{"marlett.ttf",						"Marlett",									"Regular"},\
	{"micross.ttf",						"Microsoft Sans Serif",						"Regular"},\
	{"pala.ttf",						"Palatino Linotype",						"Regular"},\
	{"palab.ttf",						"Palatino Linotype",						"Bold"},\
	{"palabi.ttf",						"Palatino Linotype",						"Bold Italic"},\
	{"palai.ttf",						"Palatino Linotype",						"Italic"},\
	{"symbol.ttf",						"Symbol",									"Regular"},\
	{"tahoma.ttf",						"Tahoma",									"Regular"},\
	{"tahomabd.ttf",					"Tahoma",									"Bold"},\
	{"times.ttf", 						"Times New Roman",							"Regular"},\
	{"timesbd.ttf",						"Times New Roman",							"Bold"},\
	{"timesbi.ttf",						"Times New Roman",							"Bold Italic"},\
	{"timesi.ttf", 						"Times New Roman",							"Italic"},\
	{"trebuc.ttf",						"Trebuchet MS",								"Regular"},\
	{"trebucbd.ttf",					"Trebuchet MS",								"Bold"},\
	{"trebucbi.ttf",					"Trebuchet MS",								"Bold Italic"},\
	{"trebucit.ttf",					"Trebuchet MS",								"Italic"},\
	{"verdana.ttf",						"Verdana",									"Regular"},\
	{"verdanab.ttf",					"Verdana",									"Bold"},\
	{"verdanai.ttf",					"Verdana",									"Italic"},\
	{"verdanaz.ttf",					"Verdana",									"Bold Italic"},\
	{"webdings.ttf",					"Webdings",									"Regular"},\
	{"wingding.ttf",					"Wingdings",								"Regular"},\

#else

#ifdef __APPLE__
#define OS_FONTMAPPINGS \
    {"/Library/Fonts/Arial Unicode.ttf",    "Arial", "Regular"},\
    {"/Library/Fonts/Arial Unicode.ttf",    "Arial", "Bold Italic"},\
    {"/Library/Fonts/Arial Unicode.ttf",    "Arial", "Bold"},\
    {"/Library/Fonts/Arial Unicode.ttf",    "Arial", "Italic"},\

#else
// no system fonts for linux at the moment.
#define OS_FONTMAPPINGS

#endif
#endif

#define FONTMAPPINGS {\
OPEN_FONTMAPPINGS \
{0,0,0}\
}

#endif

